Subject: Ticket Assigned - Late delivery / 9563572290
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 02 Apr 2022 06:02:32 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late delivery / 9563572290 ybhie ?                    Hi. Goodmorning           09:50 AM, 02nd Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:50 AM, 02nd Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:50 AM, 02nd Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:50 AM, 02nd Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:50 AM, 02nd Apr                     ybhie ?                    I supposed to have a delivery yesterday but it was undelivered, this is my my order # 9563572290           09:51 AM, 02nd Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            09:51 AM, 02nd Apr                     ybhie ?                    ok . Thank u           09:51 AM, 02nd Apr                   Ahmed                   Can you share with me your active contact number please.           09:58 AM, 02nd Apr                     ybhie ?                    0561273481           10:01 AM, 02nd Apr                   Ahmed                   thank you for sharing your contact number with us, I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:01 AM, 02nd Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4112305